commit:     39a5946670c84395bc8a58525846d91a040a4285
Author:     Steven Burnham <danipo <AT> gmail <DOT> com>
AuthorDate: Mon Dec  4 04:38:40 2023 +0000
Commit:     Viorel Munteanu <ceamac <AT> gentoo <DOT> org>
CommitDate: Mon Dec  4 04:38:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=39a59466

app-emulation/quickemu: add 4.9.1

Signed-off-by: Steven Burnham <danipo <AT> gmail.com>

 app-emulation/quickemu/Manifest              |  1 +
 app-emulation/quickemu/quickemu-4.9.1.ebuild | 42 ++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-emulation/quickemu/Manifest b/app-emulation/quickemu/Manifest
index 72c14c97ba..f08be6a573 100644
--- a/app-emulation/quickemu/Manifest
+++ b/app-emulation/quickemu/Manifest
@@ -1 +1,2 @@
 DIST quickemu-4.8.tar.gz 166544 BLAKE2B 
527ce0cb7310d4d4f3ce19900a60b40b1534a637c58899beb48a947b4bd29c02c8381af65b966f205883c811219cadd2c6dcb40d5bb6925ed92db4283b7d1d4c
 SHA512 
1f09e99ac4e508d5fe9e26482bd6b318f4cc0256bb8079799dc162ea5789ca99a07a11af283456f7832eed0c970ec0dae46e3ab2e80696954f16ff6807e32765
+DIST quickemu-4.9.1.tar.gz 176739 BLAKE2B 
0cb89afcc54e9e35573721a45a381be708843d33a70d6b8ed9943b46922dc584ff12a34414fc421f85ffc23eb335185d210f126b4bf77c6fa37a02e64ab13c4a
 SHA512 
bf6e4f8a4d05ceb1b69eb32041476d91275c302de162a578380183d981625837256dd7b06804920cf17215657ad4c19eb75ffa12d071cef01d0baabffcc79479

diff --git a/app-emulation/quickemu/quickemu-4.9.1.ebuild 
b/app-emulation/quickemu/quickemu-4.9.1.ebuild
new file mode 100644
index 0000000000..7eb2b44728
--- /dev/null
+++ b/app-emulation/quickemu/quickemu-4.9.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_10 )
+inherit python-single-r1
+
+DESCRIPTION="Create and run optimised Windows, macOS and Linux desktop virtual 
machines"
+HOMEPAGE="https://github.com/quickemu-project/quickemu";
+SRC_URI="https://github.com/quickemu-project/${PN}/archive/refs/tags/${PV}.tar.gz
 -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+       ${PYTHON_DEPS}
+       >=app-emulation/qemu-6.0.0[gtk,sdl,spice]
+       >=app-shells/bash-4.0:=
+       app-cdr/cdrtools
+       app-crypt/swtpm
+       app-misc/jq
+       net-misc/spice-gtk[gtk3]
+       net-misc/wget
+       net-misc/zsync
+       sys-apps/usbutils
+       sys-apps/util-linux
+       || ( sys-firmware/edk2-ovmf sys-firmware/edk2-ovmf-bin )
+       sys-process/procps
+       x11-apps/xrandr
+       x11-misc/xdg-user-dirs
+"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_install() {
+       python_doscript macrecovery macrecovery
+       dobin quickemu
+       dobin quickget
+}

Reply via email to